Bug 74099 - up2date fails with ImportError: No module named rpm
Summary: up2date fails with ImportError: No module named rpm
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-16 05:58 UTC by Wes Barris
Modified: 2007-04-18 16:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-01 21:34:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wes Barris 2002-09-16 05:58:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.1) Gecko/20020826

Description of problem:
When running up2date, the following error message is produced:
root@bioserver# up2date --nox
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 9, in ?
    import rpm
ImportError: No module named rpm

The last time I used up2date, it worked properly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. type "up2date"
2.
3.
	

Actual Results:  Traceback (most recent call last):
  File "/usr/sbin/up2date", line 9, in ?
    import rpm
ImportError: No module named rpm


Expected Results:  It should have connected to the rhn server.

Additional info:

Comment 1 Adrian Likins 2002-10-01 21:33:56 UTC
whats the output of `rpm -q rpm-python`?

Sounds like rpm-python isnt installed properly.
All versions of up2date should be require rpm-python
however.

also, what version of up2date? 

      rpm -q up2date

Comment 2 Wes Barris 2002-10-01 22:29:32 UTC
I have found the solution to this problem.  Other software
that we are running assumes that /usr/bin/python is version
2.  /usr/bin/python had been re-linked to point to
/usr/bin/python2 to make this other software work.  To make
up2date work again, I edited /usr/sbin/up2date and made
it explicitly point to /usr/bin/python1.5 .

Comment 3 David 2003-01-24 15:13:37 UTC
I am having the same problem.  How did you edit up2date to make it point to
python1.5?

Comment 4 Paul Wayper 2004-11-13 12:52:30 UTC
Edit version in /usr/sbin/up2date; the link in /usr/bin/up2date is
merely a method of calling consolehelper to get the root password.


Note You need to log in before you can comment on or make changes to this bug.